Subject: Re: bug#21694: 'clone' syscall binding unreliable
From: [email-masked] (Ludovic Courtès)
To: "Thompson\, David" <[email-masked]>
Cc: [email-masked], David Thompson <[email-masked]>
Date: Wed, 28 Oct 2015 15:39:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) skribis:

> "Thompson, David" <[email-masked]> skribis:
>
>> On Fri, Oct 16, 2015 at 4:39 PM, Ludovic Courtès <[email-masked]> wrote:

[...]

>>> Now, there remains the question of CLONE_CHILD_SETTID and
>>> CLONE_CHILD_CLEARTID.  Since we’re passing NULL for ‘ctid’, I expect
>>> that these flags have no effect at all.
>>
>> I added those flags in commit ee78d02 because they solved a real issue
>> I ran into.  Adding those flags made 'clone' look like a
>> 'primitive-fork' call when examined with strace.
>
> Could you check whether removing these flags makes a difference now?

I removed them in commit after confirming that it affects neither the
test suite nor ‘guix system environment’ (on x86_64, with Linux-libre
4.2.3-gnu.)

Thanks,
Ludo’.